package com.yaoyicloud.service;


import com.yaoyicloud.constant.enums.ModuleType;
import com.yaoyicloud.constant.enums.ReportType;
import com.yaoyicloud.entity.ReportGenerationResult;

import javax.servlet.http.HttpServletRequest;



/**
 * 报告服务
 *
 * @author snows
 * @date 2024/10/12
 */
public interface ReportUpdateService {

    @SuppressWarnings("checkstyle:ParameterNumber")
    ReportGenerationResult createPlusVersionCheckReport(
            ReportType reportType,
            String data,
            byte[] templateBytes,
            String outputBasePath,
            Long relationId,
            HttpServletRequest request,
            ModuleType moduleType,
            String name,
            Integer levelInteger,
            String tenantName
    ) throws Exception;



}
